Name:           texstudio
Version:        2.2
Release:        7%{?dist}

Summary:        A feature-rich editor for LaTeX documents
Group:          Applications/Publishing
# texstudio binary: GPLv3 due to static linkage of bundled qcodeedit
# texstudio data and image files: GPLv2+
License:        GPLv2+ and GPLv3
URL:            http://texstudio.sourceforge.net

Source0:        http://downloads.sourceforge.net/texstudio/texstudio-%{version}.tar.gz
Source1:        texstudio.desktop
Patch0:         texstudio-use-system-hunspell-instead-of-bundled-one.patch
Patch1:         texstudio-use-system-qtsingleapplication-instead-of-bundled-on.patch
Patch2:         texstudio-viewers-use-xdg-open.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  qt4-devel
BuildRequires:  hunspell-devel
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  poppler-qt4-devel
BuildRequires:  qtsingleapplication-devel
BuildRequires:  qtsinglecoreapplication-devel

Requires:       tex(latex)
Provides:       bundled(qcodeedit) 
Provides:       texmakerx = %{version}-%{release}
Obsoletes:      texmakerx < 2.2-1
%description
TeXstudio, formerly known as TexmakerX is a fork of the 
LaTeX IDE TexMaker and gives you an environment where you can 
easily create and manage LaTeX documents.
It provides modern writing support, like interactive spell checking, 
code folding and syntax highlighting. 
Also it serves as a starting point from where you can easily run 
all necessary LaTeX tools.
Although TeXstudio has a lot of additional features, 
it tries to be like an improved version of Texmaker, 
so it keeps it look&feel.

%prep
%setup -q -n texstudio2.2
%patch0 -p0 -b .hunspell
%patch1 -p0 -b .qtsingle
%patch2 -p0 -b .xdg

rm -rf {hunspell,qtsingleapplication}

%build
export QTDIR=%{_libdir}/qt4
qmake-qt4 texstudio.pro
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install INSTALL_ROOT=$RPM_BUILD_ROOT

install -Dp -m 0644 utilities/texstudio16x16.png \
    $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/16x16/apps/texstudio.png
install -Dp -m 0644 utilities/texstudio22x22.png \
    $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/22x22/apps/texstudio.png
install -Dp -m 0644 utilities/texstudio32x32.png \
    $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/texstudio.png
install -Dp -m 0644 utilities/texstudio48x48.png \
    $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/texstudio.png
install -Dp -m 0644 utilities/texstudio64x64.png \
    $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/46x46/apps/texstudio.png


rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}/{AUTHORS,COPYING,*.desktop,tex*.png,CHANGELOG.txt}
rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}/{*.dic,*.aff}
rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}/qt_*.qm

%find_lang %{name} --with-qt

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/
desktop-file-install --dir %{buildroot}%{_datadir}/applications %{SOURCE1}

%clean
rm -rf $RPM_BUILD_ROOT

%post
update-desktop-database &> /dev/null ||:

touch --no-create %{_datadir}/icons/hicolor

%postun
update-desktop-database &> /dev/null ||:

if [ $1 -eq 0 ] ; then
   touch --no-create %{_datadir}/icons/hicolor &>/dev/null
   gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null ||:
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null ||:

%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/texstudio
%dir %{_datadir}/texstudio/
%{_datadir}/texstudio/configure*.png
%{_datadir}/texstudio/doc*.png
%{_datadir}/texstudio/latexhelp.html
%{_datadir}/texstudio/template*
%{_datadir}/texstudio/texstudio.svg
%{_datadir}/texstudio/th_*.dat
%{_datadir}/texstudio/thesaurus.png
%{_datadir}/texstudio/usermanual_*.html
%{_datadir}/applications/texstudio.desktop
%{_datadir}/icons/hicolor/*/apps/*.png


%doc utilities/AUTHORS utilities/COPYING utilities/CHANGELOG.txt

%changelog
* Sat Aug 13 2011 Johannes Lips <Johannes.Lips googlemail com> 2.2-7
- minor changes to the .desktop file
- fixed the ownership of the texstudio folder
- fixed the find_lang macro
- fixed minor problems with the installation of documentation files

* Sat Aug 13 2011 Johannes Lips <Johannes.Lips googlemail com> 2.2-6
- added a .desktop file to prevent problems with the one provided by upstream

* Fri Aug 12 2011 Johannes Lips <Johannes.Lips googlemail com> 2.2-5
- fixed the wrong paths in the rm statements
- fixed the TeXstudio spelling in the description
- added the %find_lang macro to install the language files and gettext as BR
- removed the unneeded and unmodified qt_*.mq
- listed all files in /usr/share/texstudio separately


* Wed Aug 10 2011 Johannes Lips <Johannes.Lips googlemail com> 2.2-4
- added the provides for qcodeedit after the exception was granted

* Fri Jul 29 2011 Johannes Lips <Johannes.Lips googlemail com> 2.2-3
- removed the bundled source files in the prep section
- added a comment to clarify the licensing
- added tex(latex) instead of texlive-latex
- removal of the dic files instead of excluding them

* Thu Jul 28 2011 Johannes Lips <Johannes.Lips googlemail com> 2.2-2
- removed the gcc-objc++ build requirement
- added patches to remove the bundled libraries (hunspell and qtsingleapplication)

* Fri Jul 22 2011 Johannes Lips <Johannes.Lips googlemail com> 2.2-1
- renamed to Texstudio
- update to a recent upstream version
- update all parts of the spec to reflect the naming changes

* Thu Mar 17 2011 Johannes Lips <Johannes.Lips googlemail com> 2.1.0-0.1.svn20110317
- Update to a recent svn checkout

* Mon Nov 01 2010 Johannes Lips <Johannes.Lips googlemail com> 2.0.0-0.1
- Update to a recent svn checkout
- added several other build requirements

* Sat Aug 28 2010 Johannes Lips <Johannes.Lips googlemail com> 1.9.9a-3
- Bump release

* Tue Aug 10 2010 Johannes Lips <Johannes.Lips googlemail com> 1.9.9a-2
- removed the patch snippet
- added another summary entry

* Thu Jul 22 2010 Johannes Lips <Johannes.Lips googlemail com> 1.9.9a-1
- Updated to the recent upstream version

* Fri May 21 2010 Johannes Lips <Johannes.Lips googlemail com> 1.9.9-2
- Fixed some minor glitches

* Sat May 08 2010 Johannes Lips <Johannes.Lips googlemail com> 1.9.9-1
- Updated to version 1.9.9

* Tue Apr 20 2010 Johannes Lips <Johannes.Lips googlemail com> 1.9.3-1
- Updated to recent version

* Thu Nov 12 2009 Jochen Schmitt <Jochen herr-schmitt de> 1.9.2-1
- Initial package

